/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.tables.TDmTablecopy;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TDmTablecopyRecord extends UpdatableRecordImpl<TDmTablecopyRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_dm_tablecopy.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_tablecopy.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_dm_tablecopy.pk</code>.
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_tablecopy.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_dm_tablecopy.fk_tabledef</code>. reference
     * to t_dm_tabledef.pk
     */
    public void setFkTabledef(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_tablecopy.fk_tabledef</code>. reference
     * to t_dm_tabledef.pk
     */
    public Integer getFkTabledef() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.t_dm_tablecopy.sourceschema</code>. name of
     * database schema that contains table to be copied
     */
    public void setSourceschema(String value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_dm_tablecopy.sourceschema</code>. name of
     * database schema that contains table to be copied
     */
    public String getSourceschema() {
        return (String) get(3);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TDmTablecopyRecord
     */
    public TDmTablecopyRecord() {
        super(TDmTablecopy.T_DM_TABLECOPY);
    }

    /**
     * Create a detached, initialised TDmTablecopyRecord
     */
    public TDmTablecopyRecord(LocalDateTime lastchange, Integer pk, Integer fkTabledef, String sourceschema) {
        super(TDmTablecopy.T_DM_TABLECOPY);

        setLastchange(lastchange);
        setPk(pk);
        setFkTabledef(fkTabledef);
        setSourceschema(sourceschema);
        resetChangedOnNotNull();
    }
}
